Subject: Re: bug#48404: 28.0.50; "Invalid version syntax" errors with read-extended-command

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 May 2021 10:56:12 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Tassilo Horn <[email-masked]>,  [email-masked],  [email-masked]
> Date: Fri, 14 May 2021 09:43:37 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > But I don't really understand why we compare versions in the snippet
> > above -- the command is already established as being obsolete, so
> > we've got to be running an Emacs version where it is indeed obsolete,
> > and the version text sounds redundant to me.  Stefan?
> 
> The idea is to have a softer transition when obsoleting commands -- `M-x
> some-obsoleteTAB' will list the command if it's been "recently"
> obsoleted, but also list the new command name (in parentheses).  This
> will hopefully help people to learn the new command name.

But this comes with a heavy price: commands from any package that is
not bundled with Emacs will not be able to take advantage of this
feature, ever.  Is it worth punishing those packages' users to have a
softer transition?  Given our conservative approach to obsoleting
stuff, I'm not sure.